# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():

    libre_office_exe = ['soffice.exe','sbase.exe','scalc.exe','sdraw.exe','simpress.exe','smath.exe','swriter.exe']
    for msi in glob.glob('*.msi'):
        install_msi_if_needed(msi,killbefore=libre_office_exe,timeout=1200)


def update_package():
    htmlSource = ensure_unicode(wgets('https://www.libreoffice.org/download'))
    for line in htmlSource.split('\n') :
        if 'dl_version_number' in line:
            realversion = line.rsplit('dl_version_number')[1].split('>')[1].split('<')[0]

    helpx64 = "LibreOffice_%s_Win_x64_helppack_fr.msi" % realversion
    url = "http://download.documentfoundation.org/libreoffice/stable/%s/win/" % realversion

    if not isfile(helpx64):
        wget(url + "x86_64/" +helpx64,helpx64)
    else:
        print(helpx64 + ' already exist')

    lastest_version = get_msi_properties(helpx64)['ProductVersion']

    allmsi = glob.glob('*.msi')
    for msi in allmsi:
        vers = get_msi_properties(msi)['ProductVersion']
        if vers != lastest_version :
            remove_file(msi)

    control.version = lastest_version +'-0'
    control.save_control_to_wapt()


